> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported AI models

> Returns the model identifiers the selected account may use for agentModel and agentThinkingModel. Use canReason to decide whether agentThinking applies.



## OpenAPI

````yaml get /api/v2/models/supported
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
tags:
  - name: Agents
  - name: Inbound Email
    description: Control which senders may create inbound email work for an Agent.
  - name: Features
    description: Inspect capabilities available within an account hierarchy.
  - name: Conversation Logs
    description: Query conversation activity and calculate account-level metrics.
  - name: Computer Agents
    description: Set up, configure, inspect, and manage Vida Computer Agents.
  - name: Computer Agent Sessions
    description: View and reset Computer Agent sessions.
  - name: Accounts
  - name: Agent Templates
    description: Create, manage, and apply reusable Agent configurations.
paths:
  /api/v2/models/supported:
    get:
      tags:
        - Models
      summary: List supported AI models
      description: >-
        Returns the model identifiers the selected account may use for
        agentModel and agentThinkingModel. Use canReason to decide whether
        agentThinking applies.
      parameters:
        - name: targetAccountId
          in: query
          description: Account whose model availability should be returned.
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: List of supported model descriptors
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    provider:
                      type: string
                      description: Model provider.
                      example: openai
                    canReason:
                      type: boolean
                      description: Whether the model supports advanced reasoning
                      example: true
              example:
                claude-haiku-4-5-20251001:
                  provider: anthropic
                  canReason: true
                claude-sonnet-4-5-20250929:
                  provider: anthropic
                  canReason: true
                gemini-3.5-flash:
                  provider: google
                  canReason: true
                gpt-5.6:
                  provider: openai
                  canReason: true
                z-ai/glm-5.2:
                  provider: openrouter
                  canReason: true
                gpt-4.1:
                  provider: openai
                  canReason: false
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Internal error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````